Bug 813429 - livecd-creator does not use yum plugins
livecd-creator does not use yum plugins
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 804216
  Show dependency treegraph
 
Reported: 2012-04-17 14:35 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
8 users (show)

See Also:
Fixed In Version: livecd-tools-17.11-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:33:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-04-17 14:35:22 EDT
Description of problem:

(A corollary of bug 804216)

This means, at a minimum:
1) there's no way to use the yum-langpacks plugin to pull the proper langpacks for the package set
2) there's no way to use plugins such as the rhn-plugin to pull the content or repos (untested, but I don't see how it works without it)

Version-Release number of selected component (if applicable):

livecd-tools-17.7-1.fc17.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Note that langpacks are not being pulled in
2. Note "        conf += "plugins=0\n" in yuminst.py
Comment 1 Brian Lane 2012-04-19 14:01:25 EDT
I think this should be an optional cmdline argument, if I'm understanding things correctly it will start pulling in language packages if it is enable and some spins may not want that behavior.
Comment 2 Bill Nottingham 2012-04-23 18:33:52 EDT
patch sent to list.
Comment 3 Fedora Update System 2012-04-24 19:06:55 EDT
livecd-tools-17.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/livecd-tools-17.9-1.fc17
Comment 4 Fedora Update System 2012-04-26 15:25:45 EDT
Package livecd-tools-17.9-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-17.9-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6645/livecd-tools-17.9-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-26 18:10:27 EDT
livecd-tools-17.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/livecd-tools-17.10-1.fc17
Comment 6 Fedora Update System 2012-05-03 19:34:49 EDT
livecd-tools-17.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/livecd-tools-17.11-1.fc17
Comment 7 Fedora Update System 2012-05-08 00:33:03 EDT
livecd-tools-17.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.